package com.friday.custody.service.basicService.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.friday.custody.dao.CustodyPullMailFailureLogDao;
import com.friday.custody.entity.CustodyPullMailFailureLogEntity;
import com.friday.custody.service.basicService.CustodyPullMailFailureLogService;
import com.friday.custody.utils.PageUtils;
import com.friday.custody.utils.Query;
import org.springframework.stereotype.Service;

import java.util.Map;


@Service("custodyPullMailFailureLogService")
public class CustodyPullMailFailureLogServiceImpl extends ServiceImpl<CustodyPullMailFailureLogDao, CustodyPullMailFailureLogEntity> implements CustodyPullMailFailureLogService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<CustodyPullMailFailureLogEntity> page = this.page(
                new Query<CustodyPullMailFailureLogEntity>().getPage(params),
                new QueryWrapper<CustodyPullMailFailureLogEntity>()
        );

        return new PageUtils(page);
    }

    @Override
    public boolean save(CustodyPullMailFailureLogEntity entity) {
        return super.save(entity);
    }
}